Subject: bug#79330: misleading ring-convert-sequence-to-ring

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Sep 2025 11:11:18 -0400

> I have no idea what is the significance of the first element of the
> ring, and why no other element should be inserted that is equal to
> that.  I could understand it if any consecutive 'equal' elements were
> inserted only once, but that is not what the function does.
>
> Stefan, any ideas why the code works as it is, and what, if anything,
> we should do here?

It's a part of the ring code I do not understand either, I'm afraid.

        Stefan